Subject: Re: bug#25666: split-screen + linum-mode in tall TTY fails to fully render other window after scrolling

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Feb 2022 16:40:29 +0100

Fredrik Ljungdahl <[email-masked]> writes:

> What I did to reproduce this bug under default settings:
> * I used a 146x46 size terminal (potentially matters)
> * Acquire this: http://sprunge.us/hVNi
> * Invoke emacs with emacs -Q
> * Go to this file (C-x C-f hVNi)
> * Invoke line number mode (M-x linum-mode), lack of linum-mode doesn't seem to
> reproduce this
> * Split the window (C-x 3)
> * Hold down C-n (C-v does not reproduce this)
> * On the 2nd half-scroll, the 2nd split window should have its rendering messed up
> in obvious ways

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I tried reproducing this in Emacs 29, but couldn't see anything odd
(running on Debian/bullseye with Gnome Terminal).  But skimming this
thread, it seems like it may be dependent on specific terminal sizes?

Do you still see this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no